<?php

namespace App\Workflows\Providers;

use App\Workflows\Contracts\WorkflowRuntime;
use App\Workflows\Services\WorkflowEngine;
use Illuminate\Support\ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->singleton(WorkflowRuntime::class, WorkflowEngine::class);
    }

    public function boot(): void
    {
        //
    }
}
